Skip to main content

External Reservation Update

PATCH 

/v1/api/externalReservation/:reservationId

Endpoint to update external hotel reservations in the Niara system using an external reservation ID.

Request

Path Parameters

    reservationId stringrequired

    Niara's external reservation ID (reservationId returned on CreateExternalReservation).

Body

    reservationId stringrequired

    Niara ID for the external reservation.

    externalId stringnullable

    Unique reservation ID from the internal system.

    hotelId stringnullable

    Hotel ID

    hotelName stringnullable

    Hotel Name

    startDate stringnullable

    Check-in day. (ISO 8601)

    endDate stringnullable

    Check-out day. (ISO 8601)

    numberOfNights integernullable

    Number of nights.

    status stringnullable

    Reservation status [CONFIRMED or CANCELLED].

    primaryGuestName stringnullable

    Primary guest's name.

    primaryGuestCpf stringnullable

    Primary guest's CPF.

    primaryGuestEmail stringnullable

    Primary guest's email.

    currency stringnullable

    Currency. (ISO 4217 code)

    netPrice numbernullable

    Value without taxes.

    taxesPrice numbernullable

    Tax amount.

    adultCount integernullable

    Number of adults.

    childrenCount integernullable

    Number of children.

    childrenAges integer[]nullable

    List with the children's ages.

    roomDescription stringnullable

    Room name.

    ratePlanName stringnullable

    Rate plan name.

    meal stringnullable

    Meal plan.

    source stringnullable

    Reservation source.

    locator stringnullable

    ID known by the guest.

    isNonRefundable booleannullable

    Indicates if the rate is non-refundable.

    penaltyDate stringnullable

    Day the penalty starts if the reservation is refundable. (ISO 8601)

    comissionPrice numbernullable

    Commission value.

    comment stringnullable

    Reservation comments.

    guestJourneyStatus stringnullable

    Guest journey status [CHECKED_IN, CHECKED_OUT, NO_SHOW, CONFIRMED or CANCELLED].

    primartGuestExternalId stringnullable

    Primary guest's ID from your system.

    primaryGuestPassport stringnullable

    Primary guest's passport number.

    primaryGuestNationality stringnullable

    Primary guest's nationality (two-letter ISO code).

    primaryGuestRg stringnullable

    Primary guest's RG identity number (for brazilian citizens).

    primaryGuestRgOrgaoEmissor stringnullable

    Primary guest's RG issuing authority (for brazilian citizens).

    primaryGuestPhone stringnullable

    Primary guest's phone number.

    primaryGuestDob stringnullable

    Primary guest's date of birth.

    primaryGuestAddressStreetName stringnullable

    Primary guest's address street.

    primaryGuestAddressNumber stringnullable

    Primary guest's address number.

    primaryGuestAddressZipCode stringnullable

    Primary guest's address zip code.

    primaryGuestAddressAdditionalInformation stringnullable

    Primary guest's address complement.

    primaryGuestAddressDistrict stringnullable

    Primary guest's address neighborhood.

    primaryGuestAddressCity stringnullable

    Primary guest's address city.

    primaryGuestAddressState stringnullable

    Primary guest's address state.

Responses

Reservation successfully updated.

Schema
    object
Loading...